Skip to main content
POST
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

Namespace containing the resources to list. This can be an ID for your user, a project ID, or any other identifier you wish to use to scope resources.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:

"user_alex"

type
enum<string>
required

Resource collection to list: source documents, extracted chunks, or learned memories

Available options:
documents,
chunks,
memories
Example:

"memories"

Query Parameters

cursor
string

Opaque cursor from a previous response's pagination.nextCursor. When present, page is ignored and results continue after the last item of the previous page. Filters, sort, order and limit must match the request that produced the cursor.

Required string length: 1 - 2048
page
integer
default:1

One-based page number

Required range: 1 <= x <= 9007199254740991
Example:

1

limit
integer
default:10

Maximum resources to return per page

Required range: 1 <= x <= 100
Example:

10

sort
enum<string>
default:createdAt

Field used to order results. Position is available only when listing chunks.

Available options:
createdAt,
updatedAt,
position
Example:

"createdAt"

order
enum<string>
default:desc

Ascending or descending sort direction

Available options:
asc,
desc
Example:

"desc"

Body

application/json
filter
object

Type-safe metadata conditions applied before pagination

include
object

Optional extras

Example:

Response

Namespace resources retrieved successfully

A namespace-scoped page of one resource type

documents
object[]
required

Documents on this page; empty when a different resource type is requested

chunks
object[]
required

Chunks on this page; empty when a different resource type is requested

memories
object[]
required

Memories on this page; empty when a different resource type is requested

pagination
object
required

Page metadata for the selected resource collection